com.mysql.cj.jdbc

## Interface JdbcPreparedStatement

All Superinterfaces:
  AutoCloseable, JdbcStatement, PreparedStatement, Query, Statement, Wrapper

    public interface JdbcPreparedStatement
    extends PreparedStatement, JdbcStatement

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.mysql.cj.Query

`Query.CancelStatus`

### Field Summary

### Fields inherited from interface com.mysql.cj.jdbc.JdbcStatement

`MAX_ROWS`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `getBytesRepresentation(int parameterIndex)`
`ParameterBindings` `getParameterBindings()`
`String` `getPreparedSql()`
`QueryBindings` `getQueryBindings()`
`QueryInfo` `getQueryInfo()`
`boolean` `isNull(int paramIndex)`
`void` `realClose(boolean calledExplicitly, boolean closeOpenResults)`
`void` `setBigInteger(int parameterIndex, BigInteger x)`
`void` `setBytes(int parameterIndex, byte[] x, boolean escapeIfNeeded)`
`void` `setNull(int parameterIndex, MysqlType mysqlType)`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface com.mysql.cj.jdbc.JdbcStatement

`clearAttributes, disableStreamingResults, enableStreamingResults, getExceptionInterceptor, getLocalInfileInputStream, getOpenResultSetCount, getQuery, getResultSetInternal, removeOpenResultSet, setAttribute, setHoldResultsOpenOverClose, setLocalInfileInputStream, setPingTarget`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from interface com.mysql.cj.Query

`addBatch, checkCancelTimeout, clearBatchedArgs, closeQuery, getBatchedArgs, getCancelTimeoutMutex, getCurrentDatabase, getExecuteTime, getId, getQueryAttributesBindings, getResultFetchSize, getResultSetFactory, getResultType, getSession, getStatementExecuting, getTimeoutInMillis, isClearWarningsCalled, resetCancelledState, setCancelStatus, setClearWarningsCalled, setCurrentDatabase, setExecuteTime, setResultFetchSize, setResultType, setTimeoutInMillis, startQueryTimer, statementBegins, stopQueryTimer`

### Method Detail

#### realClose

    void realClose(boolean calledExplicitly,
                   boolean closeOpenResults)
            throws SQLException

Throws:
  `SQLException`

#### getQueryBindings

    QueryBindings getQueryBindings()

#### getBytesRepresentation

    byte[] getBytesRepresentation(int parameterIndex)
                           throws SQLException

Throws:
  `SQLException`

#### getQueryInfo

    QueryInfo getQueryInfo()

#### isNull

    boolean isNull(int paramIndex)
            throws SQLException

Throws:
  `SQLException`

#### getPreparedSql

    String getPreparedSql()

#### setBytes

    void setBytes(int parameterIndex,
                  byte[] x,
                  boolean escapeIfNeeded)
           throws SQLException

Throws:
  `SQLException`

#### setBigInteger

    void setBigInteger(int parameterIndex,
                       BigInteger x)
                throws SQLException

Throws:
  `SQLException`

#### setNull

    void setNull(int parameterIndex,
                 MysqlType mysqlType)
          throws SQLException

Throws:
  `SQLException`

#### getParameterBindings

    ParameterBindings getParameterBindings()
                                    throws SQLException

Throws:
  `SQLException`

Copyright © 2016, 2024, Oracle and/or its affiliates.